# 32/64bit spec-file
#
%define name 	kmid
%define version 2.4.0
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/KDE5
URL:		http://kde-apps.org/content/show.php/KMid?content=116404
Source:		%{name}-%{version}.tar.xz
Source1:	drumstick-0.5.0-%{name}.tar.xz
Patch1:		kmid2-2.2.2-use-timidity-pulse.patch
Summary:	 KMid2 is a MIDI/Karaoke player for KDE4. 
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	lib64kde4-kdelibs-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	desktop-file-utils
Requires:	oxygen-icon-theme
Obsoletes:	%name < %version

BuildConflicts: drumstick-devel

Requires: lib64kde4-kdelibs4
Requires: TiMidity++

%description
KMid2 is a MIDI/karaoke file player, with configurable midi mapper, real
Session Management, drag & drop, customizable fonts, etc. It has a very
nice interface which let you easily follow the tune while changing the
color of the lyrics.
It supports output through external synthesizers, AWE, FM and GUS cards.
It also has a keyboard view to see the notes played by each instrument.

%package devel
Group:		Development/Libraries
Summary:	%{name} developement files
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files needed when building applications based on
%{name}.


%prep
%setup -q -a1  -n %{name}-%{version}
rm -rf drumstick
mv -f drumstick-0.5.0-%{name} drumstick
%patch1 -p0

%build
%cmake_kde4 -DBUILD_SHARED_LIBS=OFF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player"\
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

#for KDE5
mkdir -p %buildroot/%_datadir/kservices5
mkdir -p %buildroot/%_datadir/kservicetypes5
cp %buildroot/%_datadir/kde4/services/*.desktop %buildroot/%_datadir/kservices5
cp %buildroot/%_datadir/kde4/servicetypes/*.desktop %buildroot/%_datadir/kservicetypes5

%files
%defattr(-,root,root)
%_bindir/kmid
%_libdir/kde4/kmid_alsa.so
%_libdir/kde4/kmid_part.so
%_datadir/applications/kde4/kmid.desktop
%_datadir/apps/kmid/*
%_datadir/apps/kmid_part/*
%_datadir/dbus-1/interfaces/org.kde.KMid*
%_datadir/doc/HTML/*/kmid/*
%_datadir/icons/hicolor/*/apps/*
%_datadir/kde4/services/*.desktop
%_datadir/kde4/servicetypes/*.desktop
%_datadir/locale/*/LC_MESSAGES/*.mo
%_datadir/config.kcfg/kmid.kcfg
%{_libdir}/libkmidbackend.so.1*
%_datadir/kservices5
%_datadir/kservicetypes5

%files devel
%defattr(-,root,root,-)
%{_includedir}
%{_libdir}/libkmidbackend.so


%clean
rm -rf %{buildroot}


%changelog
* Wed Mar 29 2017 bb2 <bb2> - 2.4.0-4pclos2017
- copy service files to KDE5 locations

* Sun Feb 26 2017 bb2 <bb2> - 2.4.0-3pclos2017
- rebuild for KDE5

